@import 'styles/colors.scss';
@import 'styles/sizes.scss';
@import 'styles/mixins/screen.scss';

.song-row {
    $self: &;

    align-items: center;
    color: $c-white;
    display: flex;
    justify-content: space-between;
    padding: $p-gutter;
    z-index: 100;

    &:hover {
        cursor: pointer;
        opacity: 0.8;

        #{ $self }__title {
            color: $c-purple;
        }
    }

    &__button {
        &:hover {
            transform: scale(1.4);
        }
    }

    @include screen($screen-simple) {
        margin-left: $p-gutter;

        &__info {
            margin-left: $p-gutter;
        }
    }
  }
